Perform glossary entries

/common/glossaryEntries/perform Perform action of the specific type on glossary entries
Table 1. Details

Resource path

/api/core/v1/common/glossaryEntries/perform

HTTP method

POST

Request content type

  • application/xml; charset=UTF-8;

  • application/json

  • application/json+compact

Response content type

  • application/xml; charset=UTF-8;

  • application/json

  • application/json+compact

Body parameters

OmnType with filled ActionsType

  • Provided ActionTypes must have the following fields:

    • Data type: glossaryEntry;

    • ID or TID of glossary entry;

    • Action type: delete, copyToGlossary or moveToGlossary.

Return Type

OmnType with filled ResponsesType

Responses
Table 2. Http response codes
Code Message Datatype

200

OmnType with list of successful or error ResponseTypes

OmnType

400

Invalid input provided

ResponseType

500

An unknown internal error occurred

ResponseType

Samples
Please use transform endpoint to get the JSON/compact-JSON samples from the XML one.
Delete glossary entry
Delete by ID
curl
curl --location --request POST 'https://<OMN_SERVER>/api/core/v1/common/glossaryEntries/perform' \
--header 'Authorization: Bearer <TOKEN>' \
--header 'Content-Type: application/xml' \
--data-raw '<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <actions>
        <action dataType="glossaryEntry" id="30670" type="delete"/>
    </actions>
</pim>'
Request body
<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <actions>
        <action dataType="glossaryEntry" id="30670" type="delete"/>
    </actions>
</pim>
Delete by TID
curl
curl --location --request POST 'https://<OMN_SERVER>/api/core/v1/common/glossaryEntries/perform' \
--header 'Authorization: Bearer <TOKEN>' \
--header 'Content-Type: application/xml' \
--data-raw '<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <actions>
        <action dataType="glossaryEntry" tid="56948c33-29bc-46d1-be81-6fd9452d910f" type="delete"/>
    </actions>
</pim>'
Request body
<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <actions>
        <action dataType="glossaryEntry" tid="56948c33-29bc-46d1-be81-6fd9452d910f" type="delete"/>
    </actions>
</pim>
Response body
<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <meta>
        <itm key="messageType">request</itm>
        <itm key="messageTime">2022-06-04T13:24:53.286Z</itm>
        <itm key="sourceEnv">web</itm>
    </meta>
    <responses>
        <response action="delete" dataType="glossaryEntry" id="30670">
          <description>The glossary entry has been deleted successfully</description>
          <status>SUCCESS</status>
        </response>
    </responses>
</pim>
Copy glossary entry to another glossary
curl
curl --location --request POST 'https://<OMN_SERVER>/api/core/v1/common/glossaryEntries/perform' \
--header 'Authorization: Bearer <TOKEN>' \
--header 'Content-Type: application/xml' \
--data-raw '<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <actions>
        <action dataType="glossaryEntry" id="29637" type="copyToGlossary">
            <meta>
                <itm key="glossaryId">25246</itm>
            </meta>
        </action>
    </actions>
</pim>'
Request body
<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <actions>
        <action dataType="glossaryEntry" id="29637" type="copyToGlossary">
            <meta>
                <itm key="glossaryId">25246</itm>
            </meta>
        </action>
    </actions>
</pim>
Response body
<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <meta>
        <itm key="messageType">request</itm>
        <itm key="messageTime">2022-06-04T13:24:53.286Z</itm>
        <itm key="sourceEnv">web</itm>
    </meta>
    <responses>
        <response action="copyToGlossary" dataType="glossaryEntry" id="29637">
            <description>Glossary entry has been copied</description>
            <status>SUCCESS</status>
        </response>
    </responses>
</pim>
Move glossary entry to another glossary
curl
curl --location --request POST 'https://<OMN_SERVER>/api/core/v1/common/glossaryEntries/perform' \
--header 'Authorization: Bearer <TOKEN>' \
--header 'Content-Type: application/xml' \
--data-raw '<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <actions>
        <action dataType="glossaryEntry" id="29637" type="moveToGlossary">
            <meta>
                <itm key="glossaryId">25246</itm>
            </meta>
        </action>
    </actions>
</pim>'
Request body
<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <actions>
        <action dataType="glossaryEntry" id="29637" type="moveToGlossary">
            <meta>
                <itm key="glossaryId">25246</itm>
            </meta>
        </action>
    </actions>
</pim>
Response body
<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <meta>
        <itm key="messageType">request</itm>
        <itm key="messageTime">2022-06-04T13:24:53.286Z</itm>
        <itm key="sourceEnv">web</itm>
    </meta>
    <responses>
        <response action="moveToGlossary" dataType="glossaryEntry" id="29637">
            <description>Glossary entry has been moved</description>
            <status>SUCCESS</status>
        </response>
    </responses>
</pim>
Error responses
Glossary entry does not exist: Glossary entry with provided ID/TID does not exist
<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <meta>
        <itm key="messageType">request</itm>
        <itm key="messageTime">2022-06-04T13:36:54.983Z</itm>
        <itm key="sourceEnv">web</itm>
    </meta>
    <responses>
      <response action="delete" dataType="glossaryEntry" id="30670">
        <description>There is no glossary entry with the given tid/identity</description>
        <status>ERROR</status>
      </response>
    </responses>
</pim>
Glossary does not exist: Glossary with provided ID/TID does not exist
<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <meta>
        <itm key="messageType">request</itm>
        <itm key="messageTime">2022-08-17T10:54:57.295Z</itm>
        <itm key="sourceEnv">web</itm>
    </meta>
    <responses>
        <response action="copyToGlossary" dataType="glossaryEntry" id="25246">
          <description>There is no glossary with the given identity</description>
          <status>ERROR</status>
        </response>
    </responses>
</pim>

Welcome to the AI Chat!

Write a prompt to get started...